%% 1D grating example (illumination derivatives)
%% This simple driver directly starts the simulation 

results = jcmwave_solve('project.jcmp');
fourierTransform_transmitted = results{2};

%% primary Fourier coefficients of the two fields
ft_s = fourierTransform_transmitted.ElectricFieldStrength{1};
ft_p = fourierTransform_transmitted.ElectricFieldStrength{2};

%% lambda0-derivatives of the Fourier coefficients of the two fields
dLambda0_ft_s =  fourierTransform_transmitted.d_Lambda0.ElectricFieldStrength{1};
dLambda0_ft_p =  fourierTransform_transmitted.d_Lambda0.ElectricFieldStrength{2};

%% theta-derivatives of the Fourier coefficients of the two fields
dTheta_ft_s =  fourierTransform_transmitted.d_Theta.ElectricFieldStrength{1};
dTheta_ft_p =  fourierTransform_transmitted.d_Theta.ElectricFieldStrength{2};

%% phi-derivatives of the Fourier coefficients of the two fields
dPhi_ft_s =  fourierTransform_transmitted.d_Phi.ElectricFieldStrength{1};
dPhi_ft_p =  fourierTransform_transmitted.d_Phi.ElectricFieldStrength{2};

%% PatternWidthTop-derivatives of the Fourier coefficients of the two fields
dPatternWidthTop_ft_s =  fourierTransform_transmitted.d_PatternWidthTop.ElectricFieldStrength{1};
dPatternWidthTop_ft_p =  fourierTransform_transmitted.d_PatternWidthTop.ElectricFieldStrength{2};

%% PatternHeight-derivatives of the Fourier coefficients of the two fields
dPatternHeight_ft_s =  fourierTransform_transmitted.d_PatternHeight.ElectricFieldStrength{1};
dPatternHeight_ft_p =  fourierTransform_transmitted.d_PatternHeight.ElectricFieldStrength{2};

