function plot_slice(path,iField,color)

f=jcmwave_loadcartesianfields(path);
hold on;

title('Mode cross section')
for m=1:length(iField)
  intensity=sum(abs(f.field{iField(m)}).^2,2);
  intensity=intensity/max(intensity);
  plot(f.X*1e6,intensity,color(m),'LineWidth',2);
end
xlabel('x [um]');
ylabel('intensity [a.u.]');
hold off
