%% quantum dot emitter with micro lens (2D model)
%% This simple driver directly starts the simulation

results = jcmwave_solve('project.jcmp');

emission=results{2}.DipoleEmission;
radiation=results{4}.Radiation;
 

fprintf('\n\n*** Total efficiency (radiation NA=1)');
xyz='xyz';
for iX=1 : 3
  efficiency=sum(radiation{iX})/emission(iX);
  fprintf('\n%c-polarized dipole: %2.4e', xyz(iX), efficiency); 
end
fprintf('\n');

