%% Through Silicon Via
%% This simple driver directly starts the simulation

results = jcmwave_solve('project.jcmp');

%% Reflection of s-polarized incident wave
FC = results{2}.ElectricFieldStrength{1};
refl = sum(real(FC).^2 + imag(FC).^2);

%% Derivative of reflection wrt. radius
dFC = results{2}.d_Radius.ElectricFieldStrength{1};
drefl = sum(2*(real(FC).*real(dFC) + imag(FC).*imag(dFC)));